import type { Slot, U64UnsafeBeyond2Pow53Minus1 } from '@solana/rpc-types';
type SlotsUpdatesNotificationsApiNotificationBase = Readonly<{
    slot: Slot;
    timestamp: U64UnsafeBeyond2Pow53Minus1;
    type: 'completed' | 'firstShredReceived' | 'optimisticConfirmation' | 'root';
}>;
type SlotsUpdatesNotificationsApiNotificationCreatedBank = SlotsUpdatesNotificationsApiNotificationBase & Readonly<{
    parent: Slot;
    type: 'createdBank';
}>;
type SlotsUpdatesNotificationsApiNotificationDead = SlotsUpdatesNotificationsApiNotificationBase & Readonly<{
    err: string;
    type: 'dead';
}>;
type SlotsUpdatesNotificationsApiNotificationFrozen = SlotsUpdatesNotificationsApiNotificationBase & Readonly<{
    stats: Readonly<{
        maxTransactionsPerEntry: U64UnsafeBeyond2Pow53Minus1;
        numFailedTransactions: U64UnsafeBeyond2Pow53Minus1;
        numSuccessfulTransactions: U64UnsafeBeyond2Pow53Minus1;
        numTransactionEntries: U64UnsafeBeyond2Pow53Minus1;
    }>;
    type: 'frozen';
}>;
type SlotsUpdatesNotificationsApiNotification = SlotsUpdatesNotificationsApiNotificationBase | SlotsUpdatesNotificationsApiNotificationCreatedBank | SlotsUpdatesNotificationsApiNotificationDead | SlotsUpdatesNotificationsApiNotificationFrozen;
export interface SlotsUpdatesNotificationsApi {
    /**
     * Subscribe to receive a notification from the validator on a variety of updates on every slot
     */
    slotsUpdatesNotifications(NO_CONFIG?: Record<string, never>): SlotsUpdatesNotificationsApiNotification;
}
export {};
//# sourceMappingURL=slots-updates-notifications.d.ts.map